テーブルグループ一覧取得

必要な権限

MEMBER以上のロールが必要です。

HTTPリクエスト

GET /api/sonar/table-groups

cURL例

curl -H "Authorization: Bearer <API_KEY>" \
     "https://HOSTNAME/api/sonar/table-groups"

リクエストパラメータ

キー必須説明備考
offset×32ビット整数スキップ件数デフォルト: 0
limit×32ビット整数最大件数デフォルト: 無制限

正常応答

{
  "total_count": 1,
  "table_groups": [
    {
      "guid": "b1a2c3d4-e5f6-7890-ab12-cdef34567890",
      "name": "name",
      "description": "description",
      "parent_guid": "f7e8d9c0-1234-4abc-9def-567890abcdef",
      "created": "2024-12-18 20:53:51+0900",
      "updated": "2024-12-18 20:54:15+0900"
    }
  ]
}
  • total_count(32ビット整数):検索条件に一致する全件数
  • table_groups(配列):テーブルグループ一覧
    • guid(文字列):テーブルグループ識別子
    • parent_guid(文字列):親テーブルグループ識別子
    • name(文字列):テーブルグループ名
    • description(文字列):テーブルグループの説明
    • created(文字列):作成日時(yyyy-MM-dd HH:mm:ssZ形式)
    • updated(文字列):更新日時(yyyy-MM-dd HH:mm:ssZ形式)

エラー応答

offset値が整数でない場合

HTTPステータスコード 400 レスポンス

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' parameter should be int type"
}
offset値が負の場合

HTTPステータスコード 400 レスポンス

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be greater than or equal to 0."
}
offset値が最大値を超える場合

HTTPステータスコード 400 レスポンス

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be less than or equal to 2147483647."
}
limit値が整数でない場合

HTTPステータスコード 400 レスポンス

{
  "error_code": "invalid-argument",
  "error_msg": "'limit' parameter should be int type"
}
limit値が負の場合

HTTPステータスコード 400 レスポンス

{
  "error_code": "invalid-argument",
  "error_msg": "'limit' must be greater than or equal to 0."
}
limit値が最大値を超える場合

HTTPステータスコード 400 レスポンス

{
  "error_code": "invalid-argument",
  "error_msg": "'limit' must be less than or equal to 2147483647."
}
権限がない場合

HTTPステータスコード 500 レスポンス

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}